Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Interface TransactionListener

All Known Subinterfaces:
  Entity

All Known Implementing Classes:
  ViewObjectImpl

public interface TransactionListener
extends java.util.EventListener

Implemented by subscribers to transaction events, generated during the commit and rollback operations.

Since:
  JDeveloper 3.0
See Also:
  `Entity`, `DBTransaction`, `TransactionEvent`

Method Summary
`void` | `afterCommit(TransactionEvent e)` Called to report that a Commit operation has occurred.
`void` | `afterRemove(TransactionEvent e)` A cleanup routine to be invoked by transaction manager when this transaction listener is removed from the manager's list.
`void` | `afterRollback(TransactionEvent e)` Called to report that a Rollback operation has occurred.
`void` | `beforeCommit(TransactionEvent e)` Called to report that a Commit operation is imminent.
`void` | `beforeRollback(TransactionEvent e)` Called to report that a Rollback operation is imminent.
`boolean` | `isTransientTransactionListener()` Tests whether this transaction listener is transient or permanent.

Method Detail

### beforeCommit

    public void beforeCommit(TransactionEvent e)

  Called to report that a Commit operation is imminent.
  Parameters:
    `e` - a transaction event.

### beforeRollback

    public void beforeRollback(TransactionEvent e)

  Called to report that a Rollback operation is imminent.
  Parameters:
    `e` - a transaction event.

### afterCommit

    public void afterCommit(TransactionEvent e)

  Called to report that a Commit operation has occurred.
  Parameters:
    `e` - a transaction event.

### afterRollback

    public void afterRollback(TransactionEvent e)

  Called to report that a Rollback operation has occurred.
  Parameters:
    `e` - a transaction event.

### afterRemove

    public void afterRemove(TransactionEvent e)

  A cleanup routine to be invoked by transaction manager when this transaction listener is removed from the manager's list.
  Parameters:
    `e` - a transaction event.

### isTransientTransactionListener

    public boolean isTransientTransactionListener()

  Tests whether this transaction listener is transient or permanent.

  Transient listeners are automatically removed at the end of a transaction commit or rollback cycle; permanent listeners remain across these cycles.

  Returns:
    `true` if the listener is transient.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD